Package org.gradle.language.base

## Interface DependentSourceSet

- All Superinterfaces:
    `Buildable`, `BuildableComponentSpec`, `ComponentSpec`, `LanguageSourceSet`, `ModelElement`, `Named`

      @Incubating
      public interface DependentSourceSet
      extends LanguageSourceSet

  A source set that can have dependencies on other Libraries.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DependencySpecContainer` | `getDependencies()` |

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.language.base.LanguageSourceSet

      `generatedBy, getParentName, getSource`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

- - ### Method Detail

    - #### getDependencies

          DependencySpecContainer getDependencies()